Subject: Re: bug#73037: 31.0.50; fullscreen tooltips break after loading pdf-tools on MacOS

From: Eli Zaretskii <[email-masked]>
Date: Thu, 12 Sep 2024 12:16:38 +0300

> From: Paul Nelson <[email-masked]>
> Date: Thu, 5 Sep 2024 11:01:11 +0200
> 
> I've tested the following setups:
> 
> (1) Emacs master, pdf-tools 1.1.0
> (2) Emacs 29.4, pdf-tools 1.1.0
> 
> The issue appears with (1) but not (2), so I figured I'd report it as
> a bug with Emacs rather than pdf-tools, but would welcome other
> suggestions.
> 
> Steps to reproduce:
> 
> 1. Install pdf-tools (e.g., via list-packages)
> 
> 2. Emacs -Q
> 
> 3. Evaluate the following:
> 
> (package-initialize)
> (use-package pdf-tools
>   :config
>   (pdf-tools-install :no-query))
> 
> 4. Visit any pdf file.
> 
> These steps put Emacs in a state where tooltips behave badly: when the
> current frame is fullscreen (via (toggle-frame-fullscreen)), tooltips
> display in a separate fullscreen frame rather than as a child frame.
> 
> All tooltips are affected, not just those produced by pdf-tools.  For
> example, (x-show-tip "This is a tooltip." (selected-frame) nil 5)
> triggers the issue, as does mousing over any link in *Help*.

Could you please report this to the developers of pdf-tools first, and
ask them to look into the issue?  If they identify some issue with
core Emacs functionality, please then come back here with the details,
or ask them to post those details.

Thanks.